<?php
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

	$id=$_POST["id"];
	
if(isset($_POST["id"]))
{
	$query="Select seguimiento from seguimiento_negocio where id='".$_POST["id"]."' LIMIT 1";
	
	
	$rquery=mysqli_query($conexion->CONEXION,$query);
	
	if(mysqli_num_rows($rquery) > 0){$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC); $seguimiento=$temp['seguimiento'];}
}
?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
$j_6(document).ready(function() {
	$j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#resultSeguimiento').hide();
    }).ajaxStop(function() {
        $j_6('#resultSeguimiento').fadeIn('slow');
		$j_6('#loading').hide();
    });
	
	/*$j_3('#formSeguimiento').ajaxForm(function(data) {
					if(data.indexOf('ERROR:') == -1){
						document.getElementById('tipodocto').readOnly=true;
					}
					$j_3('#resultSeguimiento').html(data);
					$j_3('#loading').hide();
	});*/
	
	$j_6('#form, #fat, #formSeguimiento').submit(function() {
        $j_6.ajax({
            type: 'POST',
            url: $j_6(this).attr('action'),
            data: $j_6(this).serialize(),
            success: function(data) {
					$j_6('#resultSeguimiento').html(data);
					$j_6('#loading').hide();
            }
        })
        
        return false;
    });
	
   $j_6("#seguimiento").change(function () {
   		$j_6("#seguimiento").each(function () {
				var seguimiento=$j_6(this).val();
				if(seguimiento == '<?=$seguimiento?>')
					return false;
					
				$j_6.post("regresaSeguimiento.php", { seguimiento: $j_6('#seguimiento').val()},function(data){
					if(data.indexOf("true") != -1){
						alert('El seguimiento ya existe');
						$j_6("#seguimiento").val("<?=$seguimiento?>");
						//$j_6("#seguimiento").focus();
						
					}
				});			
			
        });
   });
   
});
function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}

function pulsar(e) {
  tecla = (document.all) ? e.keyCode : e.which;
  return (tecla != 13);
}
</script>
<table>
		<tr>
		<td valign="top" class="txt_logindat" width="800" height="35"><div id="resultSeguimiento"></div></td>
		</tr>
</table>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>CONFIGURACION DE SEGMENTO</h2></center></td>
		</tr>
</table>
        <form target="_self" action="altaseguimiento.php" method="post" name="formSeguimiento" id="formSeguimiento" onkeypress = "return pulsar(event)">
			<table class="td_general" bgcolor="#FFFFFF">
				<tr>
					<td valign="top" class="txt_logindat">
						<strong>Segmento: * :</strong>
						<input type="hidden" name="id" value="<?=$id?>" id="id"/>
						<input type="text" size="20" maxlength="10" name="seguimiento" id="seguimiento" class=":required Logers" value="<?=$seguimiento?>"/>
					</td>
				</tr>
				<tr>
					<td>
					<? echo btnNavegacion();?>
					</td>
				</tr>
			</table>
        </form>
<?
function btnNavegacion()
{
?>	
		<input type="submit" class="estilo_btn" value="GUARDAR"/>
<?
}